Zum Hauptinhalt springen

Get the latest screenshot's FileReference belonging to a Domain

GET/v2/domains/latest-screenshot
API-Version
v2
Request-Methode
GET
Operation-ID
domain-get-latest-screenshot

Request​

Responses​

Format
application/json
Beschreibung

OK

  • referencestring
Content-Type: application/json

{
"reference": "string"
}
{
"properties": {
"reference": {
"type": "string"
}
},
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/domains/latest-screenshot?domainName=example.com
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.getLatestScreenshot({
"queryParameters": {
"domainName": "example.com"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\GetLatestScreenshot\GetLatestScreenshotRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetLatestScreenshotRequest())
->withDomainName("example.com");
$response = $client->domain()->getLatestScreenshot($request);

var_dump($response->getBody();

Auf dieser Seite